
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "codebreaker_gem/version"

Gem::Specification.new do |spec|
  spec.name          = "codebreaker_gem_iagodka"
  spec.version       = CodebreakerGem::VERSION
  spec.authors       = ["andreiiagodka"]
  spec.email         = ["andrei.iagodka@gmail.com"]

  spec.summary       = 'CodebreakerAndreiiagodka'
  spec.description   = 'Logic game'
  spec.homepage      = 'https://github.com/andreiiagodka/codebreaker_gem.git'
  spec.license       = "MIT"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "i18n"
  spec.add_development_dependency "fasterer"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rubocop"
  spec.add_development_dependency "rubocop-rspec"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "terminal-table"
end
